Returns the hostname of the server

- « MongoDB\Driver\Monitoring\ServerHeartbeatStartedEvent

- MongoDB\Driver\Monitoring\ServerHeartbeatStartedEvent::getPort »

- PHP Manual
- MongoDB\Driver\Monitoring\ServerHeartbeatStartedEvent
- Returns the hostname of the server

# MongoDB\Driver\Monitoring\ServerHeartbeatStartedEvent::getHost

(mongodb >=1.13.0)

MongoDB\Driver\Monitoring\ServerHeartbeatStartedEvent::getHost — Returns the hostname of the server

### Description

final public MongoDB\Driver\Monitoring\ServerHeartbeatStartedEvent::getHost(): string

### Parameters

This function has no parameters.

### Return Values

Returns the hostname of the server.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.